As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 673854 - (TypeInference)Fix TI for Solaris x86
: (TypeInference)Fix TI for Solaris x86
Status: RESOLVED FIXED
fixed-in-jaegermonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86 Solaris
: -- normal (vote)
: ---
Assigned To: Ginn Chen
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-24 23:34 PDT by Ginn Chen
Modified: 2011-09-16 09:28 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (11.71 KB, patch)
2011-07-25 00:16 PDT, Ginn Chen
bhackett1024: review+
Details | Diff | Splinter Review
patch to commit (11.24 KB, patch)
2011-07-26 19:46 PDT, Ginn Chen
no flags Details | Diff | Splinter Review

Description User image Ginn Chen 2011-07-24 23:34:32 PDT
Update TrampolineSUNWX86.s and TrampolineSUNWX64.s, also deal with no fastcall situation with Solaris Studio on x86.
Comment 1 User image Ginn Chen 2011-07-25 00:16:23 PDT
Created attachment 548111 [details] [diff] [review]
patch

The Solaris x64 version is blindly updated since JS/Solaris x64 is blocked by another issue.
Comment 2 User image Brian Hackett (:bhackett) 2011-07-25 06:22:53 PDT
Comment on attachment 548111 [details] [diff] [review]
patch

Review of attachment 548111 [details] [diff] [review]:
-----------------------------------------------------------------

::: js/src/jsinfer.cpp
@@ +72,5 @@
>  #endif
>  
> +#ifdef __SUNPRO_CC
> +#include <alloca.h>
> +#endif

Why is this necessary?  Is there a better place to do this include?

::: js/src/jsobj.cpp
@@ +109,5 @@
>  #include "jsautooplen.h"
>  
> +#ifdef __SUNPRO_CC
> +#include <alloca.h>
> +#endif

Ditto.
Comment 3 User image Ginn Chen 2011-07-26 00:18:55 PDT
<alloca.h> is required for alloca() with Solaris Studio compiler.
alloca() is used in DEBUG section in jsinfer.cpp.

alloca() is not used in jsobj.cpp now, so these lines are no longer needed for jsobj.cpp.
Comment 4 User image Ginn Chen 2011-07-26 19:46:29 PDT
Created attachment 548666 [details] [diff] [review]
patch to commit

I've no permission to jaegermonkey.
Comment 5 User image Ginn Chen 2011-07-26 21:15:37 PDT
Looks like I have no write permission to any repo now, filed Bug 674451.

Note You need to log in before you can comment on or make changes to this bug.